org.eclipse.viatra.query.patternlanguage.emf.util

## Class AdvancedPatternParser.AdvancedPatternParserSnapshot

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.AdvancedPatternParser.AdvancedPatternParserSnapshot

- Enclosing class:
    AdvancedPatternParser

      public static class AdvancedPatternParser.AdvancedPatternParserSnapshot
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AdvancedPatternParser.AdvancedPatternParserSnapshot.Builder`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AdvancedPatternParserSnapshot(SpecificationBuilder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Collection<Pattern>` | `getAddedPatterns()`
    `java.util.Collection<Pattern>` | `getAddedPatterns(org.eclipse.emf.common.util.URI uri)`
    `java.lang.Iterable<org.eclipse.xtext.validation.Issue>` | `getAllDiagnostics()`
    `java.util.Collection<Pattern>` | `getAllPatterns()`
    `SpecificationBuilder` | `getBuilder()`
    `java.util.Collection<Pattern>` | `getErroneousPatterns()`
    `java.util.Collection<Pattern>` | `getErroneousPatterns(org.eclipse.emf.common.util.URI uri)`
    `java.util.List<org.eclipse.xtext.validation.Issue>` | `getErrors(Pattern pattern)`
    `java.util.List<org.eclipse.xtext.validation.Issue>` | `getErrors(org.eclipse.emf.common.util.URI uri)`
    `java.util.Collection<Pattern>` | `getImpactedPatterns()`
    `java.util.Collection<Pattern>` | `getImpactedPatterns(org.eclipse.emf.common.util.URI uri)`
    `java.util.Collection<Pattern>` | `getRemovedPatterns()`
    `java.util.Collection<Pattern>` | `getRemovedPatterns(org.eclipse.emf.common.util.URI uri)`
    `java.util.Collection<Pattern>` | `getUpdatedPatterns()`
    `java.util.Collection<Pattern>` | `getUpdatedPatterns(org.eclipse.emf.common.util.URI uri)`
    `com.google.common.collect.Multimap<org.eclipse.emf.common.util.URI,Pattern>` | `getUriMap()`
    `boolean` | `hasError()`
    `boolean` | `hasWarning()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedPatternParserSnapshot

          protected AdvancedPatternParserSnapshot(SpecificationBuilder builder)

  - ### Method Detail

    - #### getBuilder

          public SpecificationBuilder getBuilder()

    - #### getUriMap

          public com.google.common.collect.Multimap<org.eclipse.emf.common.util.URI,Pattern> getUriMap()

    - #### getAddedPatterns

          public java.util.Collection<Pattern> getAddedPatterns()

    - #### getAddedPatterns

          public java.util.Collection<Pattern> getAddedPatterns(org.eclipse.emf.common.util.URI uri)

    - #### getUpdatedPatterns

          public java.util.Collection<Pattern> getUpdatedPatterns()

    - #### getUpdatedPatterns

          public java.util.Collection<Pattern> getUpdatedPatterns(org.eclipse.emf.common.util.URI uri)

    - #### getRemovedPatterns

          public java.util.Collection<Pattern> getRemovedPatterns()

    - #### getRemovedPatterns

          public java.util.Collection<Pattern> getRemovedPatterns(org.eclipse.emf.common.util.URI uri)

    - #### getImpactedPatterns

          public java.util.Collection<Pattern> getImpactedPatterns()

    - #### getImpactedPatterns

          public java.util.Collection<Pattern> getImpactedPatterns(org.eclipse.emf.common.util.URI uri)

    - #### getErroneousPatterns

          public java.util.Collection<Pattern> getErroneousPatterns()

    - #### getErroneousPatterns

          public java.util.Collection<Pattern> getErroneousPatterns(org.eclipse.emf.common.util.URI uri)

    - #### getAllPatterns

          public java.util.Collection<Pattern> getAllPatterns()

    - #### hasWarning

          public boolean hasWarning()

    - #### hasError

          public boolean hasError()

    - #### getAllDiagnostics

          public java.lang.Iterable<org.eclipse.xtext.validation.Issue> getAllDiagnostics()

    - #### getErrors

          public java.util.List<org.eclipse.xtext.validation.Issue> getErrors(org.eclipse.emf.common.util.URI uri)

      Since:
        2.2

    - #### getErrors

          public java.util.List<org.eclipse.xtext.validation.Issue> getErrors(Pattern pattern)